# ObjectIdList.pidl File Reference

Pre-compiled IDL source for the CORBA::ORB::ObjectIdList related types. More...

## Namespaces

namespace | CORBA

## Typedefs

typedef string | ORB_ObjectId
typedef sequence< ORB_ObjectId > | ORB_ObjectIdList

## Detailed Description

Pre-compiled IDL source for the CORBA::ORB::ObjectIdList related types.

Id
  ObjectIdList.pidl,v 1.9 2005/04/12 08:32:43 jwillemsen Exp

This file is used to generate the code in ObjectIdListC.{h,inl,cpp}.

The steps to regenerate the code are as follows:

1. Run the tao_idl compiler on the patched pidl file. The command used for this is:

tao_idl.exe -o orig -Sa -Ge 1 -GA -Sci -Wb,export_macro=TAO_Export -Wb,export_include="tao/TAO_Export.h" -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" ObjectIdList.pidl

and then:

cp orig/ObjectIdListC.{h,inl,cpp} . cp orig/ObjectIdListA.cpp .

The code is ready for use.

## Typedef Documentation

typedef char * CORBA::ORB_ObjectId

typedef sequence<ORB_ObjectId> CORBA::ORB_ObjectIdList